# $Revision: 1.117 $, $Date: 2011/06/03 12:48:17 $
# TODO:
# - use gpl-dependant tarball, instead of full tarball and removing all bundled libs again?
#   see: http://www.roundcubeforum.net/3-news-announcements/32-news-announcements/6601-roundcube-news-new-version-0-4-beta-released.html
# - move bin/* to -setup which are related to upgrading/setup
# - use system js/tiny_mce
# - use system js/jquery
# - use system magic db: program/lib/magic
# - package: http://blog.ilohamail.org/ and remove boundled classess from it
# - Some php-database backend. Suggests?
# - test/finish and then enable by default password-anon-ldap-bind patch
# - bconds does not work for a long time
#
%bcond_with	spamfilter	# Build with spamfilter patch
%bcond_with	postfixadmin	# Build with postfixadmin support patch
%bcond_with	password_anon_ldap_bind	# apply with password-anon-ldap-bind patch.

%define		rcpfa_ver	1.0.5
%define		php_min_version 5.2.3
%include	/usr/lib/rpm/macros.php
Summary:	RoundCube Webmail
Summary(pl.UTF-8):	RoundCube Webmail - poczta przez WWW
Name:		roundcubemail
Version:	0.5.3
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/roundcubemail/%{name}-%{version}.tar.gz
# Source0-md5:	1575517c7d264439eb9f236e5e3e78d7
Source1:	apache.conf
Source2:	%{name}.logrotate
Source3:	lighttpd.conf
Source4:	http://nejc.skoberne.net/wp-content/uploads/2008/11/rcpfa-105.tgz
# Source4-md5:	dc23bcd894f693db74fce53b09ab58d6
Source5:	find-lang.sh
Patch0:		%{name}-config.patch
Patch1:		%{name}-spam.patch
Patch2:		%{name}-postfixadmin-pl_locales.patch
Patch3:		%{name}-faq-page.patch
Patch4:		%{name}-password-anon-ldap-bind.patch
Patch5:		use-iconv.patch
URL:		http://www.roundcube.net/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
Requires:	%{name}-skin
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-dom
Requires:	php-iconv
Requires:	php-imap
Requires:	php-pcre
Requires:	php-pear-DB
Requires:	php-pear-Mail_Mime >= 1.8.0
Requires:	php-pear-Net_IDNA2 >= 0.1.1
Requires:	php-pear-Net_SMTP
Requires:	php-session
Requires:	php-simplexml
Requires:	php-sockets
Requires:	php-spl
Requires:	php-xml
Requires:	rpm-whiteout >= 1.22
Requires:	webapps
Requires:	webserver(alias)
Requires:	webserver(indexfile)
Requires:	webserver(php)
Suggests:	php(fileinfo)
Suggests:	php-gd
Suggests:	php-json
Suggests:	php-mbstring
Suggests:	php-mcrypt
Suggests:	php-openssl
Suggests:	php-pear-Auth_SASL
Suggests:	php-pear-Net_LDAP2
Suggests:	php-pear-Net_Sieve
Suggests:	php-pear-Net_Socket
Suggests:	php-xml
Conflicts:	logrotate < 3.7-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		roundcube
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}
%define		_appdatadir	/var/lib/roundcube
%define		_applogdir	/var/log/roundcube
%define		_archivelogdir	/var/log/archive/roundcube

%define		find_lang 	sh %{SOURCE5} %{buildroot}

# bad depsolver
%define		_noautopear	pear

# exclude optional php dependencies
%define		_noautophp	php-sqlite php-mysql php-mysqli php-pgsql php-hash php-json php-xml

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an
application-like user interface. It provides full functionality you
expect from an e-mail client, including MIME support, address book,
folder manipulation and message filters. RoundCube Webmail is written
in PHP and requires the MySQL database. The user interface is fully
skinnable using XHTML and CSS 2.

%description -l pl.UTF-8
RoundCube Webmail to oparty na przeglądarce wielojęzyczny klient PHP z
interfejsem użytkownika podobnym do aplikacji. Udostępnia pełną
funkcjonalność jakiej można oczekiwać od klienta pocztowego, w tym
obsługę MIME, książkę adresową, operacje na folderach i filtry
wiadomości. RoundCube Webmail jest napisany w PHP i wymaga bazy danych
MySQL. Interfejs użytkownika można w pełni obudować skórką przy użyciu
XHTML-a i CSS 2.

%package setup
Summary:	Installer script for RoundCube Webmail
Summary(pl.UTF-8):	Skrypt instalacyjny RoundCube Webmaila
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
This package provides installer script for RoundCube Webmail.

%description setup -l pl.UTF-8
Ten pakiet zawiera skrypt instalacyjny RoundCube Webmaila.

%package skin-default
Summary:	Default skin for RoundCube Webmail
Summary(pl.UTF-8):	Domyślna skórka dla RoundCube Webmaila
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-skin

%description skin-default
Default skin for RoundCube Webmail.

%description skin-default -l pl.UTF-8
Domyślna skórka dla RoundCube Webmaila.

%prep
%setup -q %{?with_postfixadmin:-a 4}
%patch0 -p1
%if %{with spamfilter}
%patch1 -p1
%endif
%if %{with postfixadmin}
#patch2 -p1
%endif
#%patch3 -p1
%if %{with password_anon_ldap_bind}
%patch4 -p1
%endif
%patch5 -p1

find -name .svn | xargs -r rm -rf

# undos the source
%undos -f php,inc,js,css

# kill extensions and fill proper shebang
%{__sed} -i -e '1s,^#!.*php,#!%{__php},' bin/*.sh
for a in bin/*.sh; do
	mv $a ${a%.sh}
done

# unpacked js sources
find -name '*.src' | xargs rm -v
# tools to pack js
rm -f bin/{jsshrink,jsunshrink}

# rm utf8.class and deps, we use iconv extension
rm program/lib/utf8.class.php
rm -r program/lib/encoding

# php-pear-PEAR-core 1.9.0 (used indirectly)
rm program/lib/PEAR.php
rm program/lib/PEAR5.php

# php-pear-Net_Socket 1.0.9 (used by password, managesieve plugins)
rm program/lib/Net/Socket.php

# php-pear-Net_SMTP 1.4.2 (nothing seem to use it)
rm program/lib/Net/SMTP.php

# php-pear-Auth_SASL 1.0.4 (used by managesieve)
rm program/lib/Auth/SASL.php
rm -r program/lib/Auth/SASL

# php-pear-Mail_Mime 1.8.0 (nothing seems to use it)
rm program/lib/Mail/mime.php
rm program/lib/Mail/mimePart.php

# php-pear-Net_Sieve 1.3.0
rm plugins/managesieve/lib/Net/Sieve.php

# 0.1.1 snapshot (at least r301175)
rm program/lib/Net/IDNA2.php
rm -r program/lib/Net/IDNA2

# now empty dirs
rmdir program/lib/Auth
rmdir program/lib/Mail
rmdir program/lib/Net
rmdir plugins/managesieve/lib/Net

# unknown MDB2 version (newer than released 2.5.0b2, or modified by rc)
#rm program/lib/MDB2.php

# pear package junk
rm -v plugins/*/package.xml

mv config/db.inc.php.dist config/db.inc.php
mv config/main.inc.php.dist config/main.inc.php
%if %{with postfixadmin}
mv rcpfa-%{rcpfa_ver} rcpfa
cd rcpfa
cp code/forwarding.html ../skins/default/templates
cp code/password.html ../skins/default/templates
cp code/vacation.html ../skins/default/templates
cp code/pfa_forwarding.inc ../program/steps/settings
cp code/pfa_password.inc ../program/steps/settings
cp code/pfa_vacation.inc ../program/steps/settings
cp code/pfa.php ../program/include

patch -d .. -p1 < diffs/app.js.diff
patch -d .. -p1 < diffs/db.inc.php.diff
patch -d .. -p1 < diffs/func.inc.diff
patch -d .. -p1 < diffs/index.php.diff
patch -d .. -p1 < diffs/labels.inc.diff
patch -d .. -p1 < diffs/main.inc.diff
patch -d .. -p1 < diffs/main.inc.php.diff
patch -d .. -p1 < diffs/messages.inc.diff
patch -d .. -p1 < diffs/rcube_user.php.diff
patch -d .. -p1 < diffs/settingstabs.html.diff
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdatadir},%{_applogdir},%{_archivelogdir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_appdir}/{bin,config,installer,program,skins},/etc/logrotate.d}

# Main application part:
cp -a program/* $RPM_BUILD_ROOT%{_appdir}/program
cp -a bin/* $RPM_BUILD_ROOT%{_appdir}/bin
cp -a index.php $RPM_BUILD_ROOT%{_appdir}

# Skins installation
cp -a skins/* $RPM_BUILD_ROOT%{_appdir}/skins

# Installer part
cp -a installer/* $RPM_BUILD_ROOT%{_appdir}/installer
cp -a config/db.inc.php $RPM_BUILD_ROOT%{_appdir}/config/db.inc.php.dist
cp -a config/main.inc.php $RPM_BUILD_ROOT%{_appdir}/config/main.inc.php.dist
cp -a SQL $RPM_BUILD_ROOT%{_appdir}

# Plugins
cp -a plugins $RPM_BUILD_ROOT%{_appdir}/plugins

## Configuration:
cp -a config/db.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/db.inc.php
cp -a config/main.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/main.inc.php
ln -sf %{_sysconfdir}/db.inc.php $RPM_BUILD_ROOT%{_appdir}/config/db.inc.php
ln -sf %{_sysconfdir}/main.inc.php $RPM_BUILD_ROOT%{_appdir}/config/main.inc.php

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

# find locales
%find_lang %{name}.lang
# sed -ne 's/%lang(\([^)]\+\).*/\1/p' %{name}.lang | sort -u | grep _

# now package plugins using filelist as well, as due lang tagging the files
# section will go unmanageable
for p in $RPM_BUILD_ROOT%{_appdir}/plugins/*; do
	echo "%dir ${p#$RPM_BUILD_ROOT}"
	for p in $p/*; do
		d=${p##*/}
		p=${p#$RPM_BUILD_ROOT}
		case "$d" in
		localization)
			continue
			;;
		README | Changelog | config.inc.php.dist)
			echo "%doc $p"
			;;
		*)
			echo "$p"
			;;
		esac
	done
done > plugins.lang
cat plugins.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ ! -f %{_sysconfdir}/db.inc.php -o ! -f %{_sysconfdir}/main.inc.php ]; then
	# import configs from previously manually installed site
	d=/home/services/httpd/html/config
	if [ -f $d/db.inc.php -o -f $d/main.inc.php ]; then
		echo >&2 "Importing site configs from $d"
		mkdir -p %{_sysconfdir}
		if [ -f $d/db.inc.php ]; then
			[ -f %{_sysconfdir}/db.inc.php ] && mv -f %{_sysconfdir}/db.inc.php{,.rpmorig}
			cp -af $d/db.inc.php %{_sysconfdir}/db.inc.php
		fi
		if [ -f $d/main.inc.php ]; then
			[ -f %{_sysconfdir}/main.inc.php ] && mv -f %{_sysconfdir}/main.inc.php{,.rpmorig}
			cp -af $d/main.inc.php %{_sysconfdir}/main.inc.php
		fi
	fi
fi

# Note this on version upgrade
%triggerpostun -- %{name} < %{version}-0
# don't do anything on --downgrade
if [ $1 -le 1 ]; then
	exit 0
fi
%banner -e %{name}-upgrade <<-EOF
Run %{_appdir}/bin/update to update to version %{version}.
(Be sure to have %{name}-setup installed when you run it)

See %{_docdir}/%{name}-%{version}/UPGRADING* for more information.
EOF

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG INSTALL README UPGRADING
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%dir %{_appdir}
%{_appdir}/*.php
%dir %{_appdir}/bin
%attr(755,root,root) %{_appdir}/bin/*
%dir %{_appdir}/config
%{_appdir}/config/*.php
%dir %{_appdir}/program
%{_appdir}/program/*.gif
%{_appdir}/program/include
%{_appdir}/program/js
%{_appdir}/program/lib
%{_appdir}/program/steps
%{_appdir}/program/localization/index.inc

%dir %{_appdir}/plugins

%dir %{_appdir}/skins
%dir %attr(770,root,http) %{_applogdir}
%dir %attr(751,root,logs) %{_archivelogdir}
%dir %attr(770,root,http) %{_appdatadir}

# TODO: %ghost logfile(s)

%files setup
%defattr(644,root,root,755)
%dir %{_appdir}/installer
%{_appdir}/installer/*.php
%{_appdir}/installer/client.js
%{_appdir}/installer/styles.css
%{_appdir}/installer/welcome.html
%{_appdir}/installer/images
%{_appdir}/config/*.php.dist
%{_appdir}/SQL

%files skin-default
%defattr(644,root,root,755)
%{_appdir}/skins/default

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: roundcubemail.spec,v $
Revision 1.117  2011/06/03 12:48:17  caleb
- Up to 0.5.3

Revision 1.116  2011/04/21 07:08:54  marti
- never hash bconds, never hash bconds, never hash bconds...

Revision 1.115  2011/04/21 05:39:36  marti
- up to 0.5.2
- bconds does not work for a long time, hashed

Revision 1.114  2011/02/10 16:11:43  glen
- up to 0.5.1

Revision 1.113  2011/01/31 19:06:21  glen
- remove js packing utils

Revision 1.112  2011/01/31 15:09:41  matkor


- Release 2.  R: php-pear-Mail_Mime >= 1.8.0.
  Otherwise sending mail fails: Call to undefined method Mail_mime::getTXTBody().
  Thanks to Lukasz Michalski.

Revision 1.111  2011/01/22 14:21:45  sparky
- BR: rpm-pythonprov

Revision 1.110  2011/01/18 07:26:05  glen
- typo fixed in apache.conf, thx arekm

Revision 1.109  2011/01/18 06:41:14  glen
- allow /usr/share/misc/magic access via open_basedir restriction

Revision 1.108  2011/01/17 19:22:43  glen
- merge 0.5 from DEVEL

Revision 1.107.2.10  2011/01/14 09:39:28  caleb
- Up to 0.5 stable release

Revision 1.107.2.9  2010/12/18 11:46:13  caleb
- Up to 1.0.5-rc

Revision 1.107.2.8  2010/12/08 22:31:09  glen
- undos -f deps, noted on devel-en list

Revision 1.107.2.7  2010/12/08 19:20:53  glen
- tarball choice todo

Revision 1.107.2.6  2010/12/08 19:19:25  glen
- trigger: use lowest release in target version (release=0)
- trigger: skip version note on downgrade

Revision 1.107.2.5  2010/12/08 19:05:43  glen
- include release on trigger, or the trigger will match on each upgrade

Revision 1.107.2.4  2010/12/08 15:00:30  glen
- shared patch applied in r4198

Revision 1.107.2.3  2010/12/08 14:58:30  glen
- use Net_IDNA2 >= 0.1.1 dep

Revision 1.107.2.2  2010/12/08 14:21:13  glen
- use common subver macro

Revision 1.107.2.1  2010/12/08 13:47:58  caleb
- DEVEL branch, up to 0.5 beta. NT

Revision 1.107  2010/10/12 11:12:28  pawelz
- disabled shared-folders.patch. Because of this patch roundcube does not show
folders other than INBOX. Please please please, test your changes! If this
patch requires some configuration, you should have added some %banner or hack
bin/update script to handle it!!!
- rel 2

Revision 1.106  2010/10/09 16:40:11  glen
- up to 0.4.2

Revision 1.105  2010/10/08 07:43:46  glen
- add find lang script
- script packaging plugins

Revision 1.104  2010/10/05 11:33:13  glen
- apply shared folders patch

Revision 1.103  2010/10/05 10:21:23  paszczus
- added Requires:      php-pear-Mail_Mime, php-pear-Net_SMTP

Revision 1.102  2010/09/16 10:06:20  glen
- use iconv ext, instead of pure php code

Revision 1.101  2010/09/16 09:48:10  glen
- remove js sources

Revision 1.100  2010/08/27 20:59:57  glen
- use system pear pkgs, for libs unmodified
- some deps are soft; rel 3

Revision 1.99  2010/08/27 20:14:34  glen
- update extension deps

Revision 1.98  2010/08/27 06:45:44  glen
- upgrade note

Revision 1.97  2010/08/23 10:43:28  glen
- up to 0.4, not really tested

Revision 1.96  2010/06/12 22:56:28  glen
- allow fileinfo ext from php53, not just pecl

Revision 1.95  2010/06/10 19:04:53  glen
- avoid bogus import message

Revision 1.94  2010/05/22 17:45:38  gotar
- fixed Group

Revision 1.93  2010/05/16 12:28:38  pawelz
- S: php-pear-Net-LDAP2, not autodeps symbol

Revision 1.92  2010/05/16 12:02:18  pawelz
- rel 2

Revision 1.91  2010/05/16 11:59:57  pawelz
- S: pear(Net/LDAP2.php) NOT php(ldap)

Revision 1.90  2010/05/16 11:41:11  pawelz
- R: webserver(indexfile)

Revision 1.89  2010/05/16 11:23:00  pawelz
- '-' in bcond is evil?

Revision 1.88  2010/05/16 11:17:19  pawelz
- apply password-anon-ldap-bind patch (disabled by default via bcond)

Revision 1.87  2010/05/16 10:26:16  pawelz
- R: webserver(php), webserver(alias)
- S: php(ldap) at least for password plugin ldap driver
- sorted deps, unified SF download URL

Revision 1.86  2010/03/19 21:30:33  gotar
- removed not app-specific banner

Revision 1.85  2009/12/14 14:02:46  pawelz
- S: php(mbstring)

Revision 1.84  2009/12/14 13:43:25  pawelz
- R: php(session) WTF????
- R: php(spl)
- R: php(xml)

Revision 1.83  2009/12/08 00:21:27  charles
- updated files & TODO

Revision 1.82  2009/11/29 16:48:35  pawelz
- install plugins

Revision 1.81  2009/11/29 16:22:23  pawelz
- up to 0.3.1

Revision 1.80  2009/05/19 10:52:53  dzeus
- up to 0.2.2 (bugfixes)
- added support for STARTTLS in IMAP connections

Revision 1.79  2009/04/19 21:26:01  blues
- rcpfa 1.0.5 - still not working

Revision 1.78  2009/03/16 18:32:13  glen
- updated faq page patch
- strict dependency on skin pkg for main pkg

Revision 1.77  2009/03/16 18:08:47  glen
- update to 0.2.1 (security improvements), new langs (plz check): ast,bn_BD,es_AR

Revision 1.76  2009/03/16 17:55:20  glen
- package config templates for installer (-setup pkg), add SQL dir to -setup pkg

Revision 1.75  2009/02/03 20:08:43  dzeus
- fixed attachment upload problem

Revision 1.74  2009/01/14 22:19:56  blues
- cosmetics - postfixadmin bcond doesn't work :(

Revision 1.73  2008/12/30 23:26:57  charles
- updated to 0.2-stable

Revision 1.72  2008/12/01 11:38:49  duddits
- RCPFA updated to 104 (thanks to Pawel Muszynski), rel.2

Revision 1.71  2008/09/30 05:53:59  qboosh
- unified lang(ca)

Revision 1.70  2008/09/29 23:36:06  charles
- updated to 0.2.beta

Revision 1.69  2008/08/05 15:35:27  glen
- simplify, cosmetics

Revision 1.68  2008/08/05 12:42:25  luzik
- rcpfa 1.0.3
- rel. .3
- STBR
- by Paweł Muszyński <pmuch .zamek.szczecin.pl>

Revision 1.67  2008/08/04 14:07:45  blues
- require DB pear class

Revision 1.66  2008/07/29 22:37:55  qboosh
- unified lang() tags

Revision 1.65  2008/07/29 11:40:45  luzik
- added postfixadmin-pl_locales.patch
- del 0.2

Revision 1.64  2008/07/26 20:02:12  luzik
- updated to 0.2-0.alpha.1
- added bcond with postfixadmin support

Revision 1.63  2008/04/28 14:19:24  blues
- there is now point in that package without imap

Revision 1.62  2008-04-27 19:18:09  blues
- lighttpd support

Revision 1.61  2008-04-07 22:26:16  paszczus
- release 2 for Th

Revision 1.60  2008-04-07 22:24:45  paszczus
- updated to 0.1.1
- added ku language
- added optional spamfilter patch (bcond off by default)
- release 1

Revision 1.59  2008-03-30 12:09:52  shadzik
- reverted back to stable 0.1

Revision 1.56  2008-03-04 19:53:03  paszczus
- rel 7

Revision 1.55  2008-03-04 19:51:07  glen
- correct the changelog

Revision 1.54  2008-03-04 17:24:33  qboosh
- pl for -setup

Revision 1.53  2008-03-04 17:23:34  qboosh
- unified lang() tags

Revision 1.52  2008-03-04 16:41:08  glen
- revert, skins DIR belongs to base package

Revision 1.51  2008-03-04 15:55:33  paszczus
- one more Suggests

Revision 1.50  2008-03-04 08:37:47  paszczus
- added Suggests from roundcube installer

Revision 1.49  2008-03-04 08:32:14  paszczus
- added R: php-sockets

Revision 1.48  2008-03-04 08:29:48  paszczus
- moved skins dir to proper place

Revision 1.47  2008-03-04 08:24:58  glen
- -setup requires base, cleanup

Revision 1.46  2008-03-04 08:23:24  glen
- call installer pkg -setup as rest of the similar webapps

Revision 1.45  2008-03-04 08:22:08  paszczus
- ups, Version is 0.1 and Release is 0.2

Revision 1.44  2008-03-04 08:10:59  paszczus
- separeted installer to -installer package; rel 0.2

Revision 1.43  2008-03-04 08:04:56  paszczus
- added installer

Revision 1.42  2008-03-04 07:51:19  paszczus
- started update to FINAL 0.1

Revision 1.41  2007-10-29 22:50:49  blues
- md5 fixed

Revision 1.40  2007/10/29 22:46:44  blues
- rel.1

Revision 1.39  2007/10/29 21:53:05  blues
- suggests openssl extension for spellchecker

Revision 1.38  2007/10/29 21:42:37  blues
- 0.1 rc2 - removed missing files from sources, some langs are out, some in

Revision 1.37  2007/09/27 13:56:44  glen
- up to svn@837

Revision 1.36  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.35  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.34  2007/07/13 11:28:50  glen
- spelling

Revision 1.33  2007/07/09 11:37:12  blues
- logrotate file and archive-logs location

Revision 1.32  2007/07/05 13:12:43  blues
- 0.1rc1 - some langs are removed from package, some are in external packs

Revision 1.31  2007/05/22 10:35:57  glen
- install bin directory

Revision 1.30  2007/05/22 10:23:27  glen
- fixed -tz patch

Revision 1.29  2007/05/22 10:16:29  glen
- cleanup release

Revision 1.28  2007/05/22 10:03:24  glen
- updated to svn@583
- added timezone patch

Revision 1.27  2007/04/12 16:32:28  glen
- add FAQ page support from templates

Revision 1.26  2007/04/12 15:21:35  qboosh
- pl for -skin-default

Revision 1.25  2007/04/12 14:03:37  qboosh
- unified langs

Revision 1.24  2007/04/12 14:01:24  glen
- separated skin package

Revision 1.23  2007/04/12 13:55:51  glen
- language codes for localization (somebody please verify codes correctness)

Revision 1.22  2007/04/12 13:35:58  glen
- 20070318 svn snap
- allow importing configs in first install

Revision 1.21  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.19  2007/02/06 15:17:55  prism
- up to snap 20070108

Revision 1.18  2007/01/04 08:47:33  glen
- restore %{_beta} macro

Revision 1.17  2007/01/04 02:06:50  mmazur
- updated to newest snap (svn445)

Revision 1.16  2007/01/03 22:53:13  glen
- 0.1-beta2.1 (dated 2006/12/22), includes several security fixes

Revision 1.15  2006/11/21 19:56:18  glen
- rel 0.3: use php(extension) virtuals

Revision 1.14  2006/11/02 11:41:39  glen
- one Source0 is enough

Revision 1.13  2006/11/02 11:39:35  glen
- 20060914 snap

Revision 1.12  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.11  2006/08/07 08:36:04  aredridel
- 0.1beta2

Revision 1.10  2006/06/26 19:59:48  qboosh
- pl

Revision 1.9  2006/06/25 19:19:41  blues
- lets say it's release 1 - webmail is working.

Revision 1.8  2006/06/25 19:08:01  blues
- updated to svn265 snapshot - there is fixed insecure
  $_SERVER['HTTP_HOST'] usage and inclusion host-specific configuration
  without any parsing of that variable...

Revision 1.7  2006/06/21 20:57:24  blues
- comment about php-sockets

Revision 1.6  2006/06/17 22:55:28  glen
- consistent naming; drop svn dirs

Revision 1.5  2006/06/17 22:34:41  blues
- svn snapshot 260 - many, many fixes, a lot of new translations (including
  polish)

Revision 1.4  2006/06/17 19:36:47  blues
- well, install index.php... I think it's needed...

Revision 1.3  2006/06/17 19:10:01  blues
- add apache configs

Revision 1.2  2006/06/17 18:08:52  blues
- fix adapter fackery, more macros.

Revision 1.1  2006/06/17 17:53:37  blues
- initial release
